{
  "hyprland/window": {
    "format": "{}",
    "rewrite": {
      "(.*) - Chromium": " $1",
      "(.*) - Discord": " $1",
      "(.*) - Thunar": " $1",
      "class<kitty>": " Terminal",
      "AyuGram": " Telegram",
      "Steam": " Steam",
      "WhatsDesk": " WhatsDesk",
      "class<equibop>": "  Discord",
      "class<com.obsproject.Studio>": "󰕧 Open Broadcast Software"
    },
    "icon": false,
    "separate-output": true
  },
  "hyprland/workspaces": {
    "disable-scroll": true,
    "active-only": false,
    "all-outputs": true,
    "on-click": "activate",
    "format": "{name}{icon}{windows}",
    "format-icons": {
      "urgent": "  ",
      "default": " ",
      "empty": ""
    },
    "window-rewrite": {
      "WhatsDesk": " ",
      "class<kitty>": " ",
      "class<.*chromium>": " ",
      "class<com.ayugram.desktop>": " ",
      "class<discord>": " ",
      "class<equibop>": " ",
      "class<obsidian>": "󱓧 ",
      "class<org.keepassxc.KeePassXC>": " ",
      "class<org.telegram.desktop>": " ",
      "class<spotify>": " ",
      "class<steam>": " ",
      "class<thunar>": " ",
      "class<gamescope>": "󰊗 ",
      "class<steam_app.*>": "󰊗 ",
      "title<Hollow Knight Silksong>": "󰊗 ",
      "title<.*YouTube Music>": " ",
      "title<.*YouTube>": " ",
      "title<Installed packages>": " ",
      "title<Updates>": " ",
      "class<com.obsproject.Studio>": "󰕧 ",
      "class<org.prismlauncher.PrismLauncher>": "󰊗 ",
      "class<.*>": " "
    },
    "persistent-workspaces": {
      "*": 10,
      "HDMI-A-1": [
        11,
        12
      ],
      "DP-1": [
        11,
        12
      ]
    }
  },
  "tray": {
    "icon-size": 16,
    "spacing": 10
  },
  "clock": {
    // "interval": 1,
    // "format": "{:%H:%M:%S}",
    // "locale": "it_IT.UTF-8",
    // "tooltip-format": "<tt><small>{calendar}</small></tt>",
    // "format-alt": "{:L%a %d/%m/%y (%H:%M:%S)}",
    // "calendar": {
    //     "mode": "month",
    //     "mode-mon-col": 3,
    //     "weeks-pos": "right",
    //     "on-scroll": 1,
    //     "format": {
    //         "months": "<span color='#ffead3'><b>{}</b></span>",
    //         "days": "<span color='#ecc6d9'><b>{}</b></span>",
    //         "weeks": "<span color='#99ffdd'><b>W{}</b></span>",
    //         "weekdays": "<span color='#ffcc66'><b>{}</b></span>",
    //         "today": "<span color='#ff6699'><b><u>{}</u></b></span>"
    //     }
    // }
    "format": "{:%H:%M}  ",
    "format-alt": "{:L%A, %B %d, %Y (%R)}  ",
    "tooltip-format": "\n<span size='9pt' font='WenQuanYi Zen Hei Mono'>{calendar}</span>",
    "calendar": {
      "mode": "year",
      "mode-mon-col": 3,
      "weeks-pos": "right",
      "on-scroll": 1,
      "format": {
        "months": "<span color='#ffead3'><b>{}</b></span>",
        "days": "<span color='#ecc6d9'><b>{}</b></span>",
        "weeks": "<span color='#99ffdd'><b>W{}</b></span>",
        "weekdays": "<span color='#ffcc66'><b>{}</b></span>",
        "today": "<span color='#ff6699'><b><u>{}</u></b></span>"
      }
    },
    "actions": {
      "on-click-right": "mode",
      "on-click-forward": "tz_up",
      "on-click-backward": "tz_down",
      "on-scroll-up": "shift_up",
      "on-scroll-down": "shift_down"
    }
  },
  "temperature": {
    "thermal-zone": 7,
    "interval": 5,
    "format": "{icon}{temperatureC}°C",
    "format-icons": [
      " "
    ],
    "format-alt-click": "click-right",
    "critical-threshold": 80,
    "format-critical": " {temperatureC}°C",
    "on-click": "kitty --title btop sh -c 'btop'",
    "tooltip-format": "CPU temperature",
    "tooltip": true
  },
  "network": {
    // "interface": "wlp2*", // (Optional) To force the use of this interface
    // internet speed: "
    "format-wifi": "{essid} ({signalStrength}%)  ",
    "format-ethernet": "{ipaddr}/{cidr} ",
    "tooltip-format": "{ifname}: via {gwaddr} \n<small>down/up:  {bandwidthDownBytes}   {bandwidthUpBytes}</small>",
    "format-linked": "{ifname} (No IP) ",
    "format-disconnected": "Disconnesso 󰌙",
    "format-alt": "{ifname}: {ipaddr}/{cidr}",
    "interval": 1,
    "on-click-right": "kitty -e nmtui",
    "max-length": 30
  },
  "custom/updates": {
    //"format": " {}",
    "format": " {}",
    // "tooltip-format": "Aggiorna il Sistema\n<small>Pacchetti: {}</small>",
    "escape": true,
    "return-type": "json",
    "exec": "~/.config/waybar/scripts/updates.sh",
    "restart-interval": 3600,
    "on-click": "kitty --title Updates sh -c ~/.config/waybar/scripts/installaupdates.sh",
    "on-click-right": "kitty --title 'Installed packages' sh -c ~/.config/waybar/scripts/listpackages.sh",
    "tooltip": true
  },
  "custom/swaync": {
    "format": "{icon}",
    "format-icons": {
      "notification": "<span foreground='red'><small><sup>⬤</sup></small></span>",
      "none": " ",
      "dnd-notification": "<span foreground='red'><small><sup>⬤</sup></small></span>",
      "dnd-none": " "
    },
    "return-type": "json",
    "exec-if": "which swaync-client",
    "exec": "swaync-client -swb",
    "on-click": "sleep 0.1 && swaync-client -t -sw",
    "escape": true,
    "tooltip": false
  },
  "custom/wl-gammarelay-temperature": {
    "format": "{} {icon}",
    "format-alt": "{icon}",
    "format-icons": [
      ""
    ],
    "exec": "wl-gammarelay --subscribe Temperature",
    "on-scroll-up": "busctl --user -- call rs.wl-gammarelay / rs.wl.gammarelay UpdateTemperature n +100",
    "on-scroll-down": "busctl --user -- call rs.wl-gammarelay / rs.wl.gammarelay UpdateTemperature n -100",
    "tooltip-format": "Temperatura Schermo: {} K",
    "tooltip": true
  },
  "custom/media": {
    "format": "{}",
    "escape": true,
    "return-type": "json",
    "max-length": 40,
    "on-click": "playerctl play-pause",
    "on-click-right": "playerctl stop",
    "smooth-scrolling-threshold": 10, // This value was tested using a trackpad, it should be lowered if using a mouse.
    "on-scroll-up": "playerctl next",
    "on-scroll-down": "playerctl previous",
    "exec": "~/.config/waybar/scripts/mediaplayer.py", // Script in resources/custom_modules folder
    "tooltip": true,
    "tooltip-format": "{}"
  }
}
